KeyStoreBuilderParameters (Java Platform SE 8 )
Keywords: javax.net.ssl.KeyStoreBuilderParameters class
Date: 2015-05-24

compact1, compact2, compact3
javax.net.ssl

## Class KeyStoreBuilderParameters

- java.lang.Object
- - javax.net.ssl.KeyStoreBuilderParameters

- All Implemented Interfaces:
    ManagerFactoryParameters

      public class KeyStoreBuilderParameters
      extends Object
      implements ManagerFactoryParameters

  A parameters object for X509KeyManagers that encapsulates a List of KeyStore.Builders.
  Since:
    1.5
  See Also:
    `KeyStore.Builder`, `X509KeyManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStoreBuilderParameters(KeyStore.Builder builder)` Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.
    `KeyStoreBuilderParameters(List<KeyStore.Builder> parameters)` Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<KeyStore.Builder>` | `getParameters()` Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreBuilderParameters

          public KeyStoreBuilderParameters(KeyStore.Builder builder)

      Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.
      Parameters:
        `builder` - the Builder object
      Throws:
        `NullPointerException` - if builder is null

    - #### KeyStoreBuilderParameters

          public KeyStoreBuilderParameters(List<KeyStore.Builder> parameters)

      Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders. Note that the list is cloned to protect against subsequent modification.
      Parameters:
        `parameters` - the List of Builder objects
      Throws:
        `NullPointerException` - if parameters is null
        `IllegalArgumentException` - if parameters is an empty list

  - ### Method Detail

    - #### getParameters

          public List<KeyStore.Builder> getParameters()

      Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.
      Returns:
        the unmodifiable List of the KeyStore.Builders encapsulated by this object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.